var ext = new Array("pdf", "doc", "xls", "ppt", "cdr");		// a figyelt kiterjesztsek

// string funkcik
function LTrim(str) { return str.replace(/\s*((\S+\s*)*)/, "$1"); }
function RTrim(str) { return str.replace(/((\s*\S+)*)\s*/, "$1"); }
function Trim(str)  { return LTrim(RTrim(str)); }

// ****************************************************************************
// inicializljuk az oldalt
// ****************************************************************************
function initPage() {
	var a, b, i, l, t;
	
	// az sszes linket tnzzk s belltjuk 
	var links = document.getElementsByTagName("a");

	for (l = 0; l < links.length; l++) {
		if (links[l].hostname != location.hostname) {
			links[l].target = "_blank";

			if (links[l].childNodes[0].nodeName == null || links[l].childNodes[0].nodeName != "IMG")
				links[l].className += " out";
		}

		for (e in ext) {
			if (RegExp(eval("/\." + ext[e] + "$/i")).test(links[l].href))
				links[l].className += " " + ext[e];
		}
		
		if (RegExp(/#$/).test(links[l].href))
			links[l].onclick = function() { return false; }
	}
	
	var ie6warn = document.getElementById("ie6");
	if (ie6warn) {
		var browsers = ie6warn.getElementsByTagName("li");
		var browserNum = browsers.length;
		
		for (i = 0; i < 50; i++) {
			a = Math.floor(Math.random() * browserNum);
			b = Math.floor(Math.random() * browserNum);
			if (a != b) {
				t = browsers[a].innerHTML;
				browsers[a].innerHTML = browsers[b].innerHTML;
				browsers[b].innerHTML = t;
			}
		}
	
		
		var ie6close = document.getElementById("ie6close");
		if (ie6close) {
			ie6close.style.display = "block";
			ie6close.onclick = function() { document.getElementById("ie6").style.display = "none"; }
		}
	}
}

window.onload = initPage;